document.addEventListener('DOMContentLoaded', function() {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');

  mobileMenu.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Form submission
  const recipeForm = document.getElementById('submitRecipe');
  
  recipeForm.addEventListener('submit', (e) => {
    e.preventDefault();
    
    const recipeName = document.getElementById('recipeName').value;
    const ingredients = document.getElementById('ingredients').value;
    const instructions = document.getElementById('instructions').value;
    
    // Here you would typically send this data to a server
    console.log('Recipe submitted:', {
      name: recipeName,
      ingredients,
      instructions
    });
    
    // Clear form
    recipeForm.reset();
    
    // Show success message
    alert('Recipe submitted successfully!');
  });

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
